## btusb-iwlwifi-intel8260-dkms 1.5

=== btusb-iwlwifi-intel8260/Makefile ===
#
# Makefile for the output source package
#
KVER?= $(shell uname -r)

ifeq ($(KERNELRELEASE),)

MAKEFLAGS += --no-print-directory
SHELL := /bin/bash
BACKPORT_DIR := $(shell pwd)

KMODDIR ?= updates
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG := "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB := /lib/modules/$(KVER)/
KMODPATH_ARG :=
endif
KLIB_BUILD ?= $(KLIB)/build/
KERNEL_CONFIG := $(KLIB_BUILD)/.config
KERNEL_MAKEFILE := $(KLIB_BUILD)/Makefile
CONFIG_MD5 := $(shell md5sum $(KERNEL_CONFIG) 2>/dev/null | sed 's/\s.*//')

export KLIB KLIB_BUILD BACKPORT_DIR KMODDIR KMODPATH_ARG

# disable built-in rules for this file
.SUFFIXES:

.PHONY: default
default:
	@$(MAKE) modules

.PHONY: mrproper
mrproper:
	@test -f .config && $(MAKE) clean || true
	@rm -f .config
	@rm -f .kernel_config_md5 Kconfig.versions Kconfig.kernel
	@rm -f backport-include/backport/autoconf.h

.DEFAULT:
	@set -e ; test -f .local-symbols || (						\
	echo "/--------------"								;\
	echo "| You shouldn't run make in the backports tree, but only in"		;\
	echo "| the generated output. This here is only the skeleton code"		;\
	echo "| copied into the output directory. To use the backport system"		;\
	echo "| from scratch, go into the top-level directory and run"			;\
	echo "|	./gentree.py /path/to/linux-next/ /tmp/output"				;\
	echo "| and then make menuconfig/... in the output directory. See"		;\
	echo "|	./gentree.py --help"							;\
	echo "| for more options."							;\
	echo "\\--"									;\
	false)
	@set -e ; test -f $(KERNEL_CONFIG) || (						\
	echo "/--------------"								;\
	echo "| Your kernel headers are incomplete/not installed."			;\
	echo "| Please install kernel headers, including a .config"			;\
	echo "| file or use the KLIB/KLIB_BUILD make variables to"			;\
	echo "| set the kernel to build against, e.g."					;\
	echo "|   make KLIB=/lib/modules/3.1.7/"					;\
	echo "| to compile/install for the installed kernel 3.1.7"			;\
	echo "| (that isn't currently running.)"					;\
	echo "\\--"									;\
	false)
	@set -e ; if [ "$$(cat .kernel_config_md5 2>/dev/null)" != "$(CONFIG_MD5)" ]	;\
	then 										\
		echo -n "Generating local configuration database from kernel ..."	;\
		grep -v -f .local-symbols $(KERNEL_CONFIG) | grep = | (			\
			while read l ; do						\
				if [ "$${l:0:7}" != "CONFIG_" ] ; then			\
					continue					;\
				fi							;\
				l=$${l:7}						;\
				n=$${l%%=*}						;\
				v=$${l#*=}						;\
				if [ "$$v" = "m" ] ; then				\
					echo config $$n					;\
					echo '    tristate' 				;\
				elif [ "$$v" = "y" ] ; then				\
					echo config $$n					;\
					echo '    bool'					;\
				else							\
					continue					;\
				fi							;\
				echo "    default $$v"					;\
				echo ""							;\
			done								\
		) > Kconfig.kernel							;\
		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
			sed 's/^\(\([3-4]\|2\.6\)\.[0-9]\+\).*/\1/;t;d')		;\
		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
		test "$$kver" != ""							;\
		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\
		kvers="$$kvers $$(seq 0 19 | sed 's/^/3./')"				;\
		kvers="$$kvers $$(seq 0 99 | sed 's/^/4./')"				;\
		print=0									;\
		for v in $$kvers ; do							\
			if [ "$$print" = "1" ] ; then					\
				echo config KERNEL_$$(echo $$v | tr . _)	;\
				echo "    def_bool y"					;\
			fi								;\
			if [ "$$v" = "$$kver" ] ; then print=1 ; fi			;\
		done > Kconfig.versions							;\
		# RHEL as well, sadly we need to grep for it				;\
		RHEL_MAJOR=$$(grep '^RHEL_MAJOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		RHEL_MINOR=$$(grep '^RHEL_MINOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		for v in $$(seq 0 $$RHEL_MINOR) ; do 					\
			echo config BACKPORT_RHEL_KERNEL_$${RHEL_MAJOR}_$$v		;\
			echo "    def_bool y"						;\
		done >> Kconfig.versions						;\
		echo " done."								;\
	fi										;\
	echo "$(CONFIG_MD5)" > .kernel_config_md5
	@$(MAKE) -f Makefile.real "$@"

.PHONY: defconfig-help
defconfig-help:
	@echo "Driver or subsystem configuration targets:"
	@set -e						;\
		bk_configs="$$(ls defconfigs/*)" 	;\
		for cfg in $$bk_configs; do		\
			echo "  defconfig-$${cfg##defconfigs/}"	;\
		done
	@echo ""

.PHONY: help
help: defconfig-help
	@echo "Cleaning targets:"
	@echo "  clean           - Remove most generated files but keep the config and"
	@echo "                    enough build support to build external modules"
	@echo "  mrproper        - Remove all generated files + config + various backup files"
	@echo ""
	@echo "Driver configuration help:"
	@echo "  defconfig-help  - List all prearranged defconfig-targets we have"
	@echo "                    designed for you. You can use this to find"
	@echo "                    driver specific configs in case all you really"
	@echo "                    need is to just compile one or a small group "
	@echo "                    of drivers."
	@echo ""
	@echo "Configuration targets:"
	@echo "  menuconfig      - Update current config utilising a menu based program"
	@echo "  oldconfig       - Update current config utilising a provided .config as base"
	@echo "  oldaskconfig    - ??"
	@echo "  silentoldconfig - Same as oldconfig, but quietly, additionally update deps"
	@echo "  allnoconfig     - New config where all options are answered with no"
	@echo "  allyesconfig    - New config where all options are accepted with yes"
	@echo "  allmodconfig    - New config selecting modules when possible"
	@echo "  alldefconfig    - New config with all symbols set to default"
	@echo "  randconfig      - New config with random answer to all options"
	@echo "  listnewconfig   - List new options"
	@echo "  olddefconfig    - Same as silentoldconfig but sets new symbols to their default value"
	@echo ""
	@echo "Other generic targets:"
	@echo "  all             - Build all targets marked with [*]"
	@echo "* modules         - Build all modules"
	@echo ""
	@echo "Architecture specific targets:"
	@echo "  install         - Install modules"
	@echo "  uninstall       - Uninstall modules"
	@echo ""
	@echo "Execute "make" or "make all" to build all targets marked with [*]"
else
include $(BACKPORT_DIR)/Makefile.kernel
endif

=== btusb-iwlwifi-intel8260/drivers/media/dvb-core/Makefile ===
#
# Makefile for the kernel DVB device drivers.
#

dvb-net-$(CPTCFG_DVB_NET) := dvb_net.o

dvb-core-objs := dvbdev.o dmxdev.o dvb_demux.o dvb_filter.o 	\
		 dvb_ca_en50221.o dvb_frontend.o 		\
		 $(dvb-net-y) dvb_ringbuffer.o dvb_math.o

obj-$(CPTCFG_DVB_CORE) += dvb-core.o

=== btusb-iwlwifi-intel8260/drivers/media/usb/Makefile ===
#
# Makefile for the USB media device drivers
#

# DVB USB-only drivers
obj-y += ttusb-dec/ ttusb-budget/ dvb-usb/ dvb-usb-v2/ siano/ b2c2/
obj-y += zr364xx/ stkwebcam/ s2255/

obj-$(CPTCFG_USB_VIDEO_CLASS)	+= uvc/
obj-$(CPTCFG_USB_GSPCA)         += gspca/
obj-$(CPTCFG_USB_PWC)           += pwc/
obj-$(CPTCFG_USB_AIRSPY)        += airspy/
obj-$(CPTCFG_USB_HACKRF)        += hackrf/
obj-$(CPTCFG_USB_MSI2500)       += msi2500/
obj-$(CPTCFG_VIDEO_CPIA2) += cpia2/
obj-$(CPTCFG_VIDEO_AU0828) += au0828/
obj-$(CPTCFG_VIDEO_HDPVR)	+= hdpvr/
obj-$(CPTCFG_VIDEO_PVRUSB2) += pvrusb2/
obj-$(CPTCFG_VIDEO_USBVISION) += usbvision/
obj-$(CPTCFG_VIDEO_STK1160) += stk1160/
obj-$(CPTCFG_VIDEO_CX231XX) += cx231xx/
obj-$(CPTCFG_VIDEO_TM6000) += tm6000/
obj-$(CPTCFG_VIDEO_EM28XX) += em28xx/
obj-$(CPTCFG_VIDEO_USBTV) += usbtv/
obj-$(CPTCFG_VIDEO_GO7007) += go7007/
obj-$(CPTCFG_DVB_AS102) += as102/

=== btusb-iwlwifi-intel8260/drivers/nfc/microread/Makefile ===
#
# Makefile for Microread HCI based NFC driver
#

microread_i2c-objs  = i2c.o
microread_mei-objs  = mei.o

obj-$(CPTCFG_NFC_MICROREAD)     += microread.o
obj-$(CPTCFG_NFC_MICROREAD_I2C) += microread_i2c.o
obj-$(CPTCFG_NFC_MICROREAD_MEI) += microread_mei.o

=== btusb-iwlwifi-intel8260/net/nfc/nci/Makefile ===
#
# Makefile for the Linux NFC NCI layer.
#

obj-$(CPTCFG_NFC_NCI) += nci.o

nci-objs := core.o data.o lib.o ntf.o rsp.o hci.o

nci-$(CPTCFG_NFC_NCI_SPI) += spi.o

nci_uart-y += uart.o
obj-$(CPTCFG_NFC_NCI_UART) += nci_uart.o

=== btusb-iwlwifi-intel8260/drivers/media/platform/exynos-gsc/Makefile ===
exynos-gsc-objs := gsc-core.o gsc-m2m.o gsc-regs.o

obj-$(CPTCFG_VIDEO_SAMSUNG_EXYNOS_GSC)	+= exynos-gsc.o

=== btusb-iwlwifi-intel8260/drivers/media/usb/au0828/Makefile ===
au0828-objs	:= au0828-core.o au0828-i2c.o au0828-cards.o au0828-dvb.o

ifeq ($(CPTCFG_VIDEO_AU0828_V4L2),y)
  au0828-objs   += au0828-video.o au0828-vbi.o
endif

ifeq ($(CPTCFG_VIDEO_AU0828_RC),y)
  au0828-objs   += au0828-input.o
endif

obj-$(CPTCFG_VIDEO_AU0828) += au0828.o

ccflags-y += -I$(backport_srctree)/drivers/media/tuners
ccflags-y += -I$(backport_srctree)/drivers/media/dvb-core
ccflags-y += -I$(backport_srctree)/drivers/media/dvb-frontends

ccflags-y += $(extra-cflags-y) $(extra-cflags-m)

=== btusb-iwlwifi-intel8260/drivers/net/ethernet/broadcom/Makefile ===
#
# Makefile for the Broadcom network device drivers.
#

obj-$(CPTCFG_B44) += b44.o
#obj-$(CPTCFG_BCM63XX_ENET += bcm63xx_enet.o
#obj-$(CPTCFG_BCMGENET += genet/
#obj-$(CPTCFG_BNX2 += bnx2.o
#obj-$(CPTCFG_CNIC += cnic.o
#obj-$(CPTCFG_BNX2X += bnx2x/
#obj-$(CPTCFG_SB1250_MAC += sb1250-mac.o
#obj-$(CPTCFG_TIGON3 += tg3.o
#obj-$(CPTCFG_BGMAC += bgmac.o
#obj-$(CPTCFG_SYSTEMPORT += bcmsysport.o

=== btusb-iwlwifi-intel8260/drivers/net/wireless/b43/Makefile ===
b43-y				+= main.o
b43-y				+= bus.o
b43-$(CPTCFG_B43_PHY_G)		+= phy_a.o phy_g.o tables.o lo.o wa.o
b43-$(CPTCFG_B43_PHY_N)		+= tables_nphy.o
b43-$(CPTCFG_B43_PHY_N)		+= radio_2055.o
b43-$(CPTCFG_B43_PHY_N)		+= radio_2056.o
b43-$(CPTCFG_B43_PHY_N)		+= radio_2057.o
b43-y				+= phy_common.o
b43-$(CPTCFG_B43_PHY_N)		+= phy_n.o
b43-$(CPTCFG_B43_PHY_LP)	+= phy_lp.o
b43-$(CPTCFG_B43_PHY_LP)	+= tables_lpphy.o
b43-$(CPTCFG_B43_PHY_HT)	+= phy_ht.o
b43-$(CPTCFG_B43_PHY_HT)	+= tables_phy_ht.o
b43-$(CPTCFG_B43_PHY_HT)	+= radio_2059.o
b43-$(CPTCFG_B43_PHY_LCN)	+= phy_lcn.o tables_phy_lcn.o
b43-$(CPTCFG_B43_PHY_AC)	+= phy_ac.o
b43-y				+= sysfs.o
b43-y				+= xmit.o
b43-y				+= dma.o
b43-y				+= pio.o
b43-y				+= rfkill.o
b43-y				+= ppr.o
b43-$(CPTCFG_B43_LEDS)		+= leds.o
b43-$(CPTCFG_B43_PCMCIA)	+= pcmcia.o
b43-$(CPTCFG_B43_SDIO)		+= sdio.o
b43-$(CPTCFG_B43_DEBUG)		+= debugfs.o

obj-$(CPTCFG_B43)		+= b43.o

=== debian/changelog ===
btusb-iwlwifi-intel8260-dkms (1.5) trusty; urgency=medium

  * Revert the small delay before firmware loading.
  * Update Makefile to make it get the right kernel version.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Thu, 17 Sep 2015 17:38:50 +0800

btusb-iwlwifi-intel8260-dkms (1.4) trusty; urgency=medium

  * Only build for 3.19 series kernel.
  * Add a small delay before firmware loading. (LP: #1483526)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Mon, 24 Aug 2015 13:09:30 +0800

btusb-iwlwifi-intel8260-dkms (1.3) trusty; urgency=medium

  * Update linux-backports to v4.2-rc1.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 15 Jul 2015 17:07:41 +0800

btusb-iwlwifi-intel8260-dkms (1.2) trusty; urgency=medium

  * Remove all modaliases but 8260 (24F3).

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Wed, 01 Jul 2015 16:06:15 +0800

btusb-iwlwifi-intel8260-dkms (1.1) trusty; urgency=medium

  * Change to correct release.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Fri, 26 Jun 2015 20:28:00 +0800

btusb-iwlwifi-intel8260-dkms (1.0) trusty; urgency=low

  * Automatically packaged by DKMS.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Fri, 26 Jun 2015 19:46:44 +0800

=== debian/control ===
Source: btusb-iwlwifi-intel8260-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: btusb-iwlwifi-intel8260-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: btusb-iwlwifi-intel8260 driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=btusb-iwlwifi-intel8260
NAME=btusb-iwlwifi-intel8260
VERSION=1.5

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## btusb-iwlwifi-intel8260-dkms 1.7

=== btusb-iwlwifi-intel8260/drivers/media/dvb-frontends/Makefile ===
#
# Makefile for the kernel DVB frontend device drivers.
#

ccflags-y += -I$(backport_srctree)/drivers/media/dvb-core/
ccflags-y += -I$(backport_srctree)/drivers/media/tuners/

# FIXME: RTL2832 SDR driver uses power management directly from USB IF driver
ifdef CPTCFG_DVB_RTL2832_SDR
	ccflags-y += -I$(backport_srctree)/drivers/media/usb/dvb-usb-v2
endif

stb0899-objs := stb0899_drv.o stb0899_algo.o
stv0900-objs := stv0900_core.o stv0900_sw.o
drxd-objs := drxd_firm.o drxd_hard.o
cxd2820r-objs := cxd2820r_core.o cxd2820r_c.o cxd2820r_t.o cxd2820r_t2.o
drxk-objs := drxk_hard.o

obj-$(CPTCFG_DVB_PLL) += dvb-pll.o
obj-$(CPTCFG_DVB_STV0299) += stv0299.o
obj-$(CPTCFG_DVB_STB0899) += stb0899.o
obj-$(CPTCFG_DVB_STB6100) += stb6100.o
obj-$(CPTCFG_DVB_SP8870) += sp8870.o
obj-$(CPTCFG_DVB_CX22700) += cx22700.o
obj-$(CPTCFG_DVB_S5H1432) += s5h1432.o
obj-$(CPTCFG_DVB_CX24110) += cx24110.o
obj-$(CPTCFG_DVB_TDA8083) += tda8083.o
obj-$(CPTCFG_DVB_L64781) += l64781.o
obj-$(CPTCFG_DVB_DIB3000MB) += dib3000mb.o
obj-$(CPTCFG_DVB_DIB3000MC) += dib3000mc.o dibx000_common.o
obj-$(CPTCFG_DVB_DIB7000M) += dib7000m.o dibx000_common.o
obj-$(CPTCFG_DVB_DIB7000P) += dib7000p.o dibx000_common.o
obj-$(CPTCFG_DVB_DIB8000) += dib8000.o dibx000_common.o
obj-$(CPTCFG_DVB_DIB9000) += dib9000.o dibx000_common.o
obj-$(CPTCFG_DVB_MT312) += mt312.o
obj-$(CPTCFG_DVB_VES1820) += ves1820.o
obj-$(CPTCFG_DVB_VES1X93) += ves1x93.o
obj-$(CPTCFG_DVB_TDA1004X) += tda1004x.o
obj-$(CPTCFG_DVB_SP887X) += sp887x.o
obj-$(CPTCFG_DVB_NXT6000) += nxt6000.o
obj-$(CPTCFG_DVB_MT352) += mt352.o
obj-$(CPTCFG_DVB_ZL10036) += zl10036.o
obj-$(CPTCFG_DVB_ZL10039) += zl10039.o
obj-$(CPTCFG_DVB_ZL10353) += zl10353.o
obj-$(CPTCFG_DVB_CX22702) += cx22702.o
obj-$(CPTCFG_DVB_DRXD) += drxd.o
obj-$(CPTCFG_DVB_TDA10021) += tda10021.o
obj-$(CPTCFG_DVB_TDA10023) += tda10023.o
obj-$(CPTCFG_DVB_STV0297) += stv0297.o
obj-$(CPTCFG_DVB_NXT200X) += nxt200x.o
obj-$(CPTCFG_DVB_OR51211) += or51211.o
obj-$(CPTCFG_DVB_OR51132) += or51132.o
obj-$(CPTCFG_DVB_BCM3510) += bcm3510.o
obj-$(CPTCFG_DVB_S5H1420) += s5h1420.o
obj-$(CPTCFG_DVB_LGDT330X) += lgdt330x.o
obj-$(CPTCFG_DVB_LGDT3305) += lgdt3305.o
obj-$(CPTCFG_DVB_LGDT3306A) += lgdt3306a.o
obj-$(CPTCFG_DVB_LG2160) += lg2160.o
obj-$(CPTCFG_DVB_CX24123) += cx24123.o
obj-$(CPTCFG_DVB_LNBH25) += lnbh25.o
obj-$(CPTCFG_DVB_LNBP21) += lnbp21.o
obj-$(CPTCFG_DVB_LNBP22) += lnbp22.o
obj-$(CPTCFG_DVB_ISL6405) += isl6405.o
obj-$(CPTCFG_DVB_ISL6421) += isl6421.o
obj-$(CPTCFG_DVB_TDA10086) += tda10086.o
obj-$(CPTCFG_DVB_TDA826X) += tda826x.o
obj-$(CPTCFG_DVB_TDA8261) += tda8261.o
obj-$(CPTCFG_DVB_TUNER_DIB0070) += dib0070.o
obj-$(CPTCFG_DVB_TUNER_DIB0090) += dib0090.o
obj-$(CPTCFG_DVB_TUA6100) += tua6100.o
obj-$(CPTCFG_DVB_S5H1409) += s5h1409.o
obj-$(CPTCFG_DVB_TUNER_ITD1000) += itd1000.o
obj-$(CPTCFG_DVB_AU8522) += au8522_common.o
obj-$(CPTCFG_DVB_AU8522_DTV) += au8522_dig.o
obj-$(CPTCFG_DVB_AU8522_V4L) += au8522_decoder.o
obj-$(CPTCFG_DVB_TDA10048) += tda10048.o
obj-$(CPTCFG_DVB_TUNER_CX24113) += cx24113.o
obj-$(CPTCFG_DVB_S5H1411) += s5h1411.o
obj-$(CPTCFG_DVB_LGS8GL5) += lgs8gl5.o
obj-$(CPTCFG_DVB_TDA665x) += tda665x.o
obj-$(CPTCFG_DVB_LGS8GXX) += lgs8gxx.o
obj-$(CPTCFG_DVB_ATBM8830) += atbm8830.o
obj-$(CPTCFG_DVB_DUMMY_FE) += dvb_dummy_fe.o
obj-$(CPTCFG_DVB_AF9013) += af9013.o
obj-$(CPTCFG_DVB_CX24116) += cx24116.o
obj-$(CPTCFG_DVB_CX24117) += cx24117.o
obj-$(CPTCFG_DVB_CX24120) += cx24120.o
obj-$(CPTCFG_DVB_SI21XX) += si21xx.o
obj-$(CPTCFG_DVB_SI2168) += si2168.o
obj-$(CPTCFG_DVB_STV0288) += stv0288.o
obj-$(CPTCFG_DVB_STB6000) += stb6000.o
obj-$(CPTCFG_DVB_S921) += s921.o
obj-$(CPTCFG_DVB_STV6110) += stv6110.o
obj-$(CPTCFG_DVB_STV0900) += stv0900.o
obj-$(CPTCFG_DVB_STV090x) += stv090x.o
obj-$(CPTCFG_DVB_STV6110x) += stv6110x.o
obj-$(CPTCFG_DVB_M88DS3103) += m88ds3103.o
obj-$(CPTCFG_DVB_ISL6423) += isl6423.o
obj-$(CPTCFG_DVB_EC100) += ec100.o
obj-$(CPTCFG_DVB_HD29L2) += hd29l2.o
obj-$(CPTCFG_DVB_DS3000) += ds3000.o
obj-$(CPTCFG_DVB_TS2020) += ts2020.o
obj-$(CPTCFG_DVB_MB86A16) += mb86a16.o
obj-$(CPTCFG_DVB_DRX39XYJ) += drx39xyj/
obj-$(CPTCFG_DVB_MB86A20S) += mb86a20s.o
obj-$(CPTCFG_DVB_IX2505V) += ix2505v.o
obj-$(CPTCFG_DVB_STV0367) += stv0367.o
obj-$(CPTCFG_DVB_CXD2820R) += cxd2820r.o
obj-$(CPTCFG_DVB_CXD2841ER) += cxd2841er.o
obj-$(CPTCFG_DVB_DRXK) += drxk.o
obj-$(CPTCFG_DVB_TDA18271C2DD) += tda18271c2dd.o
obj-$(CPTCFG_DVB_SI2165) += si2165.o
obj-$(CPTCFG_DVB_A8293) += a8293.o
obj-$(CPTCFG_DVB_SP2) += sp2.o
obj-$(CPTCFG_DVB_TDA10071) += tda10071.o
obj-$(CPTCFG_DVB_RTL2830) += rtl2830.o
obj-$(CPTCFG_DVB_RTL2832) += rtl2832.o
obj-$(CPTCFG_DVB_RTL2832_SDR) += rtl2832_sdr.o
obj-$(CPTCFG_DVB_M88RS2000) += m88rs2000.o
obj-$(CPTCFG_DVB_AF9033) += af9033.o
obj-$(CPTCFG_DVB_AS102_FE) += as102_fe.o
obj-$(CPTCFG_DVB_TC90522) += tc90522.o
obj-$(CPTCFG_DVB_HORUS3A) += horus3a.o
obj-$(CPTCFG_DVB_ASCOT2E) += ascot2e.o

=== btusb-iwlwifi-intel8260/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CPTCFG_IPW2100) += ipw2x00/
obj-$(CPTCFG_IPW2200) += ipw2x00/

obj-$(CPTCFG_HERMES)		+= orinoco/

obj-$(CPTCFG_AIRO)		+= airo.o
obj-$(CPTCFG_AIRO_CS)		+= airo_cs.o airo.o

obj-$(CPTCFG_ATMEL)             += atmel.o
obj-$(CPTCFG_PCI_ATMEL)         += atmel_pci.o 
obj-$(CPTCFG_PCMCIA_ATMEL)      += atmel_cs.o

obj-$(CPTCFG_AT76C50X_USB)      += at76c50x-usb.o
#
#obj-$(CPTCFG_PRISM54)		+= prism54/
#
#obj-$(CONFIG_HOSTAP)		+= hostap/
obj-$(CPTCFG_B43)		+= b43/
obj-$(CPTCFG_B43LEGACY)		+= b43legacy/
obj-$(CPTCFG_ZD1211RW)		+= zd1211rw/
obj-$(CPTCFG_WLAN)		+= realtek/

# 16-bit wireless PCMCIA client drivers
#obj-$(CPTCFG_PCMCIA_RAYCS)	+= ray_cs.o
#obj-$(CPTCFG_PCMCIA_WL3501)	+= wl3501_cs.o

obj-$(CPTCFG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CPTCFG_USB_ZD1201)	+= zd1201.o
obj-$(CPTCFG_LIBERTAS)		+= libertas/

obj-$(CPTCFG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CPTCFG_ADM8211)	+= adm8211.o

obj-$(CPTCFG_MWL8K)	+= mwl8k.o

obj-$(CPTCFG_IWLWIFI)	+= iwlwifi/
obj-$(CPTCFG_IWLEGACY)	+= iwlegacy/
obj-$(CPTCFG_RT2X00)	+= rt2x00/

obj-$(CPTCFG_WL_MEDIATEK)	+= mediatek/

obj-$(CPTCFG_P54_COMMON)	+= p54/

obj-$(CPTCFG_ATH_CARDS)		+= ath/

obj-$(CPTCFG_MAC80211_HWSIM)	+= mac80211_hwsim.o

obj-$(CPTCFG_WL_TI)	+= ti/

obj-$(CPTCFG_MWIFIEX)	+= mwifiex/

obj-$(CPTCFG_BRCMFMAC)	+= brcm80211/
obj-$(CPTCFG_BRCMSMAC)	+= brcm80211/

obj-$(CPTCFG_CW1200)	+= cw1200/
obj-$(CPTCFG_RSI_91X)	+= rsi/

=== btusb-iwlwifi-intel8260/drivers/net/wireless/iwlwifi/Makefile ===
# common
obj-$(CPTCFG_IWLWIFI)	+= iwlwifi.o
iwlwifi-objs		+= iwl-io.o
iwlwifi-objs		+= iwl-drv.o
iwlwifi-objs		+= iwl-debug.o
iwlwifi-objs		+= iwl-notif-wait.o
iwlwifi-objs		+= iwl-eeprom-read.o iwl-eeprom-parse.o
iwlwifi-objs		+= iwl-phy-db.o iwl-nvm-parse.o
iwlwifi-objs		+= iwl-trans.o

# Bus
iwlwifi-$(CPTCFG_IWLWIFI_PCIE)	+= pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o
iwlwifi-$(CPTCFG_IWLWIFI_PCIE)-$(CPTCFG_IWLMVM) += iwl-7000.o iwl-8000.o iwl-9000.o
iwlwifi-$(CPTCFG_IWLWIFI_SDIO)	+= iwl-8000.o iwl-7000.o trans_slave/shared.o
iwlwifi-$(CPTCFG_IWLWIFI_SDIO)	+= trans_slave/sdio_drv.o trans_slave/sdio_trans.o trans_slave/sdio_rx.o trans_slave/sdio_tx_policy.o trans_slave/sdio_tx.o
iwlwifi-$(CPTCFG_IWLWIFI_SUPPORT_DEBUG_OVERRIDES) += iwl-dbg-cfg.o
iwlwifi-$(CPTCFG_IWLWIFI_MINI_PM_RUNTIME) += trans_slave/mini_rpm.o

iwlwifi-objs += $(iwlwifi-y-y) $(iwlwifi-y-m)

iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TRACING) += iwl-devtrace.o
iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += iwl-tm-gnl.o iwl-dnt-cfg.o iwl-dnt-dispatch.o iwl-dnt-dev-if.o

ccflags-y += -D__CHECK_ENDIAN__ -I$(src)

obj-$(CPTCFG_IWLMVM)	+= mvm/
obj-$(CPTCFG_IWLXVT)	+= xvt/

CFLAGS_iwl-devtrace.o := -I$(src)

=== btusb-iwlwifi-intel8260/drivers/net/wireless/ath/ath10k/Makefile ===
obj-$(CPTCFG_ATH10K) += ath10k_core.o
ath10k_core-y += mac.o \
		 debug.o \
		 core.o \
		 htc.o \
		 htt.o \
		 htt_rx.o \
		 htt_tx.o \
		 txrx.o \
		 wmi.o \
		 wmi-tlv.o \
		 bmi.o \
		 hw.o \
		 p2p.o \
		 swap.o

ath10k_core-$(CPTCFG_ATH10K_DEBUGFS) += spectral.o
ath10k_core-$(CPTCFG_NL80211_TESTMODE) += testmode.o
ath10k_core-$(CPTCFG_ATH10K_TRACING) += trace.o
ath10k_core-$(CONFIG_THERMAL) += thermal.o
ath10k_core-$(CPTCFG_MAC80211_DEBUGFS) += debugfs_sta.o
ath10k_core-$(CONFIG_PM) += wow.o

obj-$(CPTCFG_ATH10K_PCI) += ath10k_pci.o
ath10k_pci-y += pci.o \
		ce.o

# for tracing framework to find trace.h
CFLAGS_trace.o := -I$(src)

=== btusb-iwlwifi-intel8260/drivers/net/wireless/iwlwifi/mvm/Makefile ===
obj-$(CPTCFG_IWLMVM)   += iwlmvm.o
iwlmvm-y += fw.o mac80211.o nvm.o ops.o phy-ctxt.o mac-ctxt.o
iwlmvm-y += utils.o rx.o tx.o binding.o quota.o sta.o sf.o
iwlmvm-y += scan.o time-event.o rs.o
iwlmvm-y += power.o coex.o coex_legacy.o
iwlmvm-y += tt.o offloading.o tdls.o
iwlmvm-y += tof.o
iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
iwlmvm-$(CONFIG_PM_SLEEP) += d3.o

ccflags-y += -D__CHECK_ENDIAN__ -I$(src)/../

# non-upstream things
iwlmvm-$(CPTCFG_IWLMVM_VENDOR_CMDS) += vendor-cmd.o
iwlmvm-$(CPTCFG_IWLWIFI_FRQ_MGR) += fm-ops.o
iwlmvm-$(CPTCFG_IWLWIFI_FRQ_MGR_TEST) += fm-test.o
iwlmvm-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += testmode.o

=== debian/changelog ===
btusb-iwlwifi-intel8260-dkms (1.7) trusty; urgency=medium

  * Update backports to "next-20151120-0-ga78de0".
  * Update iwlwifi to "iwlwifi-stack-public:release/LinuxCore13:4574:6927c8a4"
  * Now only stuff btusb and its firmware into initramfs.
    (LP: #1516518) (LP: #1520058)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Tue, 08 Dec 2015 18:42:19 +0800

btusb-iwlwifi-intel8260-dkms (1.6) trusty; urgency=medium

  * Stuff btusb and iwlwifi into initramfs to hopefully fix firmware
    loading issue. (LP: #1482118)

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Thu, 05 Nov 2015 18:15:15 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_NAME=btusb-iwlwifi-intel8260
 NAME=btusb-iwlwifi-intel8260
-VERSION=1.5
+VERSION=1.7
 
 configure: configure-stamp
 configure-stamp:
@@ -38,6 +38,7 @@
 binary-arch: build install
 
 binary-indep: build install
+	dh_install
 	dh_modaliases
 	dh_testdir
 	dh_testroot
